apiVersion: operators.coreos.com/v1alpha1
kind: Subscription
metadata:
  creationTimestamp: '2022-06-22T09:01:30Z'
  generation: 1
  labels:
    operators.coreos.com/devspaces.openshift-operators: ''
  managedFields:
    - apiVersion: operators.coreos.com/v1alpha1
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:labels':
            .: {}
            'f:operators.coreos.com/devspaces.openshift-operators': {}
      manager: olm
      operation: Update
      time: '2022-06-22T09:01:30Z'
    - apiVersion: operators.coreos.com/v1alpha1
      fieldsType: FieldsV1
      fieldsV1:
        'f:spec':
          .: {}
          'f:channel': {}
          'f:installPlanApproval': {}
          'f:name': {}
          'f:source': {}
          'f:sourceNamespace': {}
      manager: unknown
      operation: Update
      time: '2022-06-22T09:01:30Z'
    - apiVersion: operators.coreos.com/v1alpha1
      fieldsType: FieldsV1
      fieldsV1:
        'f:status':
          .: {}
          'f:catalogHealth': {}
          'f:conditions': {}
          'f:lastUpdated': {}
      manager: catalog
      operation: Update
      subresource: status
      time: '2022-06-22T09:01:31Z'
  name: devspaces-subscription
  namespace: openshift-operators
  resourceVersion: '29900782'
  uid: 02e3e7b9-1448-4015-8d74-08b40b338467
spec:
  channel: latest
  installPlanApproval: Automatic
  name: devspaces
  source: redhat-operators
  sourceNamespace: openshift-marketplace
status:
  catalogHealth:
    - catalogSourceRef:
        apiVersion: operators.coreos.com/v1alpha1
        kind: CatalogSource
        name: certified-operators
        namespace: openshift-marketplace
        resourceVersion: '29868212'
        uid: e2fd626a-9b1b-4220-bbed-d0d73532c06b
      healthy: true
      lastUpdated: '2022-06-22T09:01:31Z'
    - catalogSourceRef:
        apiVersion: operators.coreos.com/v1alpha1
        kind: CatalogSource
        name: community-operators
        namespace: openshift-marketplace
        resourceVersion: '29868215'
        uid: d8c7eb14-38e9-41aa-b181-fe70a311bdbe
      healthy: true
      lastUpdated: '2022-06-22T09:01:31Z'
    - catalogSourceRef:
        apiVersion: operators.coreos.com/v1alpha1
        kind: CatalogSource
        name: ds-3-0-osbs-stable
        namespace: openshift-marketplace
        resourceVersion: '29814454'
        uid: 8de13a83-04ed-4f0f-b1d3-2977fc1e1d94
      healthy: true
      lastUpdated: '2022-06-22T09:01:31Z'
    - catalogSourceRef:
        apiVersion: operators.coreos.com/v1alpha1
        kind: CatalogSource
        name: ds-3-1-osbs-stable
        namespace: openshift-marketplace
        resourceVersion: '29814450'
        uid: 5365fa23-082a-46ff-88cd-116813a4ff57
      healthy: true
      lastUpdated: '2022-06-22T09:01:31Z'
    - catalogSourceRef:
        apiVersion: operators.coreos.com/v1alpha1
        kind: CatalogSource
        name: ds-31-osbs
        namespace: openshift-marketplace
        resourceVersion: '29814452'
        uid: 5b1a2866-9f2d-4d14-9700-75b61d2fbd67
      healthy: true
      lastUpdated: '2022-06-22T09:01:31Z'
    - catalogSourceRef:
        apiVersion: operators.coreos.com/v1alpha1
        kind: CatalogSource
        name: osbs-catalog-source
        namespace: openshift-marketplace
        resourceVersion: '29814453'
        uid: 127af12b-56ad-4964-986c-46ea5d1a3677
      healthy: true
      lastUpdated: '2022-06-22T09:01:31Z'
    - catalogSourceRef:
        apiVersion: operators.coreos.com/v1alpha1
        kind: CatalogSource
        name: redhat-marketplace
        namespace: openshift-marketplace
        resourceVersion: '29868220'
        uid: 3d16d6a8-76a8-4f8a-ba36-4e98cd15d943
      healthy: true
      lastUpdated: '2022-06-22T09:01:31Z'
    - catalogSourceRef:
        apiVersion: operators.coreos.com/v1alpha1
        kind: CatalogSource
        name: redhat-operators
        namespace: openshift-marketplace
        resourceVersion: '29869682'
        uid: f5ee83a6-ba03-4fc9-9b1a-621d34aa98e9
      healthy: true
      lastUpdated: '2022-06-22T09:01:31Z'
    - catalogSourceRef:
        apiVersion: operators.coreos.com/v1alpha1
        kind: CatalogSource
        name: staging-catalog-source
        namespace: openshift-marketplace
        resourceVersion: '29814451'
        uid: 9b0ba287-209b-4bdf-8acb-94f87c207601
      healthy: true
      lastUpdated: '2022-06-22T09:01:31Z'
    - catalogSourceRef:
        apiVersion: operators.coreos.com/v1alpha1
        kind: CatalogSource
        name: eclipse-che-preview
        namespace: openshift-operators
        resourceVersion: '29871238'
        uid: 89e06ac5-0925-4422-a925-7072e6488107
      healthy: true
      lastUpdated: '2022-06-22T09:01:31Z'
  conditions:
    - lastTransitionTime: '2022-06-22T09:01:31Z'
      message: all available catalogsources are healthy
      reason: AllCatalogSourcesHealthy
      status: 'False'
      type: CatalogSourcesUnhealthy
    - message: >-
        constraints not satisfiable: no operators found in channel latest of
        package devspaces in the catalog referenced by subscription
        devspaces-subscription, subscription devspaces-subscription exists
      reason: ConstraintsNotSatisfiable
      status: 'True'
      type: ResolutionFailed
  lastUpdated: '2022-06-22T10:42:22Z'
